### Enumeration

# GWeather PressureUnit

#### Declaration

    enum GWeather.PressureUnit

#### Description [src]

The measure unit to use for atmospheric pressure values, when retrieved by gweather_info_get_value_pressure().

#### Members

`GWEATHER_PRESSURE_UNIT_INVALID`

  Invalid unit.

  - Value: `0`
  - Available since: 4.0
`GWEATHER_PRESSURE_UNIT_DEFAULT`

  The user preferred pressure unit.

  - Value: `1`
  - Available since: 4.0
`GWEATHER_PRESSURE_UNIT_KPA`

  KiloPascal (* 10^3 Pa).

  - Value: `2`
  - Available since: 4.0
`GWEATHER_PRESSURE_UNIT_HPA`

  HectoPascal (* 10^2 Pa); also known as millibars, but formatted differently.

  - Value: `3`
  - Available since: 4.0
`GWEATHER_PRESSURE_UNIT_MB`

  Millibars; same as `GWEATHER_PRESSURE_UNIT_HPA`.

  - Value: `4`
  - Available since: 4.0
`GWEATHER_PRESSURE_UNIT_MM_HG`

  Millimeters of mercury.

  - Value: `5`
  - Available since: 4.0
`GWEATHER_PRESSURE_UNIT_INCH_HG`

  Inches of mercury.

  - Value: `6`
  - Available since: 4.0
`GWEATHER_PRESSURE_UNIT_ATM`

  Atmospheres.

  - Value: `7`
  - Available since: 4.0